Envelopecustomfields 2 endpoints

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/custom_fields

Updates the envelope custom fields for draft and in-process envelopes.

Related topics

operationId: CustomFields_PostCustomFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/EnvelopeCustomFields

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/custom_fields
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/custom_fields

Updates the envelope custom fields in draft and in-process envelopes.

Each custom field used in an envelope must have a unique name.

operationId: CustomFields_PutCustomFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/EnvelopeCustomFields

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/custom_fields

Envelopedocumentfields 4 endpoints

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/fields

Deletes custom document fields from an existing envelope document.

operationId: DocumentFields_DeleteDocumentFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/EnvelopeDocumentFields

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/fields
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/fields

Retrieves the custom document field information from an existing envelope document.

operationId: DocumentFields_GetDocumentFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/fields
POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/fields

Creates custom document fields in an existing envelope document.

operationId: DocumentFields_PostDocumentFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/EnvelopeDocumentFields

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/fields
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/fields

Updates existing custom document fields in an existing envelope document.

operationId: DocumentFields_PutDocumentFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/EnvelopeDocumentFields

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/fields

Envelopedocumenthtmldefinitions 1 endpoints

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/html_definitions

Retrieves the HTML definition used to generate a dynamically sized responsive document.

If the document was not created as a signable HTML document, this endpoint will return a 200-OK response and an empty JSON body.

Note: The documentId query parameter is a GUID value, not an integer document ID. If an invalid document ID is provided, this endpoint will return a 200-OK response and an empty JSON body.

Related topics

operationId: ResponsiveHtml_GetEnvelopeDocumentHtmlDefinitions

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The GUID of the document.

Example: c671747c-xxxx-xxxx-xxxx-4a4a48e23744

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/html_definitions

Envelopedocumenttabs 5 endpoints

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/pages/{pageNumber}/tabs

Returns the tabs from the page specified by pageNumber of the document specified by documentId in the
envelope specified by envelopeId.

operationId: Tabs_GetPageTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

pageNumber path required string

The page number being accessed.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/pages/{pageNumber}/tabs
DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/tabs

Deletes tabs from the document specified by documentId in the
envelope specified by envelopeId.

operationId: Tabs_DeleteDocumentTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/tabs

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/tabs
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/tabs

Returns the tabs on the document specified by documentId in the
envelope specified by envelopeId.

operationId: Tabs_GetDocumentTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

include_metadata query optional string

When true, the response includes metadata indicating which properties are editable.

page_numbers query optional string

Filters for tabs that occur on the pages that you specify. Enter as a comma-separated list of page GUIDs.

Example: page_numbers=2,6

Note: You can only enter individual page numbers, and not a page range.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/tabs
POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/tabs

Adds tabs to the document specified by documentId in the
envelope specified by envelopeId.

This method operates only on smartSection and polyLineOverlay tabs.
operationId: Tabs_PostDocumentTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/tabs

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/tabs
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/tabs

Updates tabs in the document specified by documentId in the
envelope specified by envelopeId.

This method operates only on smartSection and polyLineOverlay tabs.
operationId: Tabs_PutDocumentTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/tabs

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/tabs

Envelopedocumentvisibility 3 endpoints

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/document_visibility

This method updates document visibility for one or more recipients based on the recipientId and visible values that you include in the request body.

Note: A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents.

operationId: Recipients_PutRecipientsDocumentVisibility

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/documentVisibilityList

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/document_visibility
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/document_visibility

This method returns information about document visibility for a recipient.

operationId: Recipients_GetRecipientDocumentVisibility

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/document_visibility
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/document_visibility

This method updates document visibility for a recipient.

Note: A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents.

operationId: Recipients_PutRecipientDocumentVisibility

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

Request Body

#/components/requestBodies/documentVisibilityList

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/document_visibility

Envelopedocuments 5 endpoints

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents

Deletes one or more documents from an existing envelope that has not yet been completed.

To delete a document, use only the relevant parts of the envelopeDefinition.
For example, this request body specifies that you want to delete the document whose documentId is “1”.

{
  "documents": [
    {
      "documentId": "1"
    }
  ]
}

The envelope status must be one of:

  • created
  • sent
  • delivered
operationId: Documents_DeleteDocuments

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/envelopeDefinition

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents

Retrieves a list of documents associated with the specified envelope.

Related topics

operationId: Documents_GetDocuments

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

documents_by_userid query optional string

When true, allows recipients to get documents by their user id. For example, if a user is included in two different routing orders with different visibilities, using this parameter returns all of the documents from both routing orders.

include_docgen_formfields query optional string

Reserved for DocuSign.

include_metadata query optional string

When true, the response includes metadata that indicates which properties the sender can edit.

include_tabs query optional string

When true, information about the tabs, including prefill tabs, associated with the documents are included in the response.

recipient_id query optional string

Allows the sender to retrieve the documents as one of the recipients that they control. The documents_by_userid parameter must be set to false for this to work.

shared_user_id query optional string

The ID of a shared user that you want to impersonate in order to
retrieve their view of the list of documents. This parameter is
used in the context of a shared inbox (i.e., when you share
envelopes from one user to another through the DocuSign Admin console).

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents

Adds one or more documents to an existing envelope.
The tabs of the original document will be applied to the new document.

Note: When adding or modifying documents for an in-process envelope,
DocuSign recommends
locking the envelope
prior to making any changes.

If the file name of a document contains Unicode characters, you need to include a Content-Disposition header. Example:

Header: Content-Disposition

Value: file; filename=\"name\";fileExtension=ext;documentId=1

operationId: Documents_PutDocuments

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/envelopeDefinition

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}

Retrieves a single document or all documents from an envelope.

To retrieve a single document, provide the ID of the document in the documentId path parameter.
Alternatively, by setting the documentId parameter to special keyword values,
you can retrieve all the documents (as a combined PDF, portfolio PDF, or ZIP archive)
or just the certificate of completion. See the documentId description for how to retrieve each format.

The response body of this method
is a file. If you request multiple documents,
the result is a ZIP archive
that contains all of the documents.

In all other cases, the response is a PDF
file or PDF portfolio.

You can get the file name and document ID from the response’s Content-Disposition header:

Content-Disposition: file; filename="NDA.pdf"; documentid="1

By default, the response is the PDF file
as a byte stream.
For example a request/response in curl looks like this:

$ curl --request GET 'https://demo.docusign.net/restapi/v2/accounts/0cdb3ff3-xxxx-xxxx-xxxx-e43af011006d/envelopes/ea4cc25b-xxxx-xxxx-xxxx-a67a0a2a4f6c/documents/1/' \
       --header 'Authorization: Bearer eyJ...bqg'


HTTP/1.1 200 OK
Content-Length: 167539
Content-Type: application/pdf
. . .
Content-Disposition: file; filename="Lorem_Ipsum.pdf"; documentid="1"
Date: Tue, 23 Aug 2022 01:13:15 GMT

%PDF-1.4
%˚¸˝˛
6 0 obj
<</Length 14>>stream
. . .

By using the Content-Transfer-Encoding
header in the request, you can obtain the PDF file
encoded in base64. The same curl request with
the base64 header would look like this:

$ curl --request GET 'https://demo.docusign.net/restapi/v2/accounts/0cdb3ff3-xxxx-xxxx-xxxx-e43af011006d/envelopes/ea4cc25b-xxxx-xxxx-xxxx-a67a0a2a4f6c/documents/1/' \
       --header 'Authorization: Bearer eyJ...bqg' \
       --header 'Content-Transfer-Encoding: base64'


HTTP/1.1 200 OK
Content-Length: 223384
Content-Type: application/pdf
. . .
Content-Disposition: file; filename="Lorem_Ipsum.pdf"; documentid="1"
Content-Transfer-Encoding: base64
Date: Tue, 23 Aug 2022 01:12:30 GMT

JVBERi0xLjQKJfv8/f4KNiAwIG9iago8PC9MZW. . .==

(In an actual curl request you would use the --output switch to
save the byte stream into a file.)

Related topics

operationId: Documents_GetDocument

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The ID of the document to retrieve. Alternatively, you can use one of the following special keywords:

  • combined: Retrieves all of the documents as a single PDF file.
    When the query parameter certificate is true, the certificate of completion is included in the PDF file.
    When the query parameter certificate is false, the certificate of completion is not included in the PDF file.
  • archive: Retrieves a ZIP archive that contains all of the PDF documents and the certificate of completion.
  • certificate: Retrieves only the certificate of completion as a PDF file.
  • portfolio: Retrieves the envelope documents as a PDF portfolio.
envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

certificate query optional string

Used only when the documentId parameter is the special keyword combined.

When true, the certificate of completion is included in the combined PDF file.
When false, (the default) the certificate of completion is not included in the combined PDF file.

documents_by_userid query optional string

When true, allows recipients to get documents by their user id. For example, if a user is included in two different routing orders with different visibilities, using this parameter returns all of the documents from both routing orders.

encoding query optional string

Reserved for DocuSign.

encrypt query optional string

When true, the PDF bytes returned in the response are encrypted for all the key managers configured on your DocuSign account. You can decrypt the documents by using the Key Manager DecryptDocument API method. For more information about Key Manager, see the DocuSign Security Appliance Installation Guide that your organization received from DocuSign.

language query optional string

Specifies the language for the Certificate of Completion in the response. The supported languages are: Chinese Simplified (zh_CN), Chinese Traditional (zh_TW), Dutch (nl), English US (en), French (fr), German (de), Italian (it), Japanese (ja), Korean (ko), Portuguese (pt), Portuguese (Brazil) (pt_BR), Russian (ru), Spanish (es).

recipient_id query optional string

Allows the sender to retrieve the documents as one of the recipients that they control. The documents_by_userid parameter must be set to false for this functionality to work.

shared_user_id query optional string

The ID of a shared user that you want to impersonate in order to
retrieve their view of the list of documents. This parameter is
used in the context of a shared inbox (i.e., when you share
envelopes from one user to another through the DocuSign Admin console).

show_changes query optional string

When true, any changed fields for the returned PDF are highlighted in yellow and optional signatures or initials outlined in red. The account must have the Highlight Data Changes feature enabled.

watermark query optional string

When true, the account has the watermark feature enabled, and the envelope is not complete, then the watermark for the account is added to the PDF documents. This option can remove the watermark.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}

Adds or replaces a document in an existing draft or in-process envelope.
An in-process envelope is one that has been sent but not yet completed or voided.

Note: When adding or modifying documents for an in-process envelope,
DocuSign recommends
locking the envelope
prior to making any changes.

To add a new document, set the documentId path parameter to a new document ID.

To replace a document, set the documentId path parameter to the document ID of the existing document.
The tabs of the original document will be applied to the new document.
For example, a request in cURL looks like this:

$ curl --location --request PUT 'https://demo.docusign.net/restapi/v2.1/accounts/0cdb3ff3-xxxx-xxxx-xxxx-e43af011006d/envelopes/ea4cc25b-xxxx-xxxx-xxxx-a67a0a2a4f6c/documents/1' \
    --header 'Authorization: Bearer eyJ...bqg' \
    --header 'Content-Disposition: filename="newDocument"' \
    --header 'Content-Type: application/pdf' \
    --data-binary '@/location/of/document.pdf'
operationId: Documents_PutDocument

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

required

Updated document content.

application/pdf
schema DocumentsPutDocumentRequest
string

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}

Envelopeemailsettings 4 endpoints

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/email_settings

Deletes all existing email override settings for the envelope. If you want to delete an individual email override setting, use the PUT and set the value to an empty string. Note that deleting email settings will only affect email communications that occur after the deletion and the normal account email settings are used for future email communications.

operationId: EmailSettings_DeleteEmailSettings

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/email_settings
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/email_settings

Retrieves the email override settings for the specified envelope.

operationId: EmailSettings_GetEmailSettings

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/email_settings
POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/email_settings

Adds email override settings, changing the email address to reply to an email address, name, or the BCC for email archive information, for the envelope. Note that adding email settings will only affect email communications that occur after the addition was made.

The BCC Email address feature is designed to provide a copy of all email communications for external archiving purposes.
To send a copy of the envelope to a recipient who does not need to sign, use a Carbon Copy or Certified Delivery recipient type.

Note: DocuSign recommends that envelopes sent using the BCC for Email Archive feature, including the BCC Email Override option, include additional signer authentication options.

operationId: EmailSettings_PostEmailSettings

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/emailSettings

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/email_settings
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/email_settings

Updates the existing email override settings for the specified envelope. Note that modifying email settings will only affect email communications that occur after the modification was made.

This can also be used to delete an individual email override setting by using an empty string for the value to be deleted.

operationId: EmailSettings_PutEmailSettings

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/emailSettings

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/email_settings

Envelopeformdata 1 endpoints

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/form_data

This method downloads the envelope and tab data (also called form data) from any in-process, completed, or canceled envelope that you sent or that is shared with you. Recipients who are also full administrators on an account can view form data for any envelopes that another user on the account has sent to them.

Note: To use this feature, the Sending Setting “Allow sender to download form data” must be enabled for the account.

Related topics

operationId: FormData_GetFormData

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/form_data

Envelopehtmldefinitions 1 endpoints

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/html_definitions
operationId: ResponsiveHtml_GetEnvelopeHtmlDefinitions

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/html_definitions

Envelopelocks 4 endpoints

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/lock

Deletes the lock from the specified envelope.
The user deleting the lock must be the same user
who locked the envelope.

You must include the X-DocuSign-Edit header
as described in
EnvelopeLocks: create.

This method takes an optional query parameter
that lets you specify whether
changes made while the envelope was locked
are kept or discarded.

Query Parameter Description
save_changes When true (the default), any changes made while the lock was active are saved. When false, any changes made while the envelope was locked are discarded.

Related topics

operationId: Lock_DeleteEnvelopeLock

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/lock
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/lock

Retrieves general information about an envelope lock.

The user requesting the information must be the same user
who locked the envelope.

You can use this method to recover the lock information,
including the lockToken,
for a locked envelope.
The X-DocuSign-Edit header is included in the response.

See EnvelopeLocks: create
for a description of the X-DocuSign-Edit header.

Related topics

operationId: Lock_GetEnvelopeLock

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/lock
POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/lock

This method locks the specified envelope and sets the time until
the lock expires to prevent other users or recipients from
changing the envelope.

The response to this request includes a lockToken parameter
that you must use in the X-DocuSign-Edit header for
every PUT method (typically a method that updates an envelope)
while the envelope is locked.

If you do not provide the lockToken when accessing
a locked envelope, you will get the following
error:

{
   "errorCode": "EDIT_LOCK_NOT_LOCK_OWNER",
   "message": "The user is not the owner of the lock. The template is locked by another user or in another application"
}

The X-DocuSign-Edit header

The X-DocuSign-Edit header looks like this
and can be specified in either JSON or XML.

JSON

{
  "LockToken": "token-from-response",
  "LockDurationInSeconds": "600"
}

XML

<DocuSignEdit>
  <LockToken>token-from-response</LockToken>
  <LockDurationInSeconds>600</LockDurationInSeconds>
</DocuSignEdit>

In the actual HTTP header, you would remove the linebreaks:

X-DocuSign-Edit: {"LockToken": "token-from-response", "LockDurationInSeconds": "600" }
    or
X-DocuSign-Edit:<DocuSignEdit><LockToken>token-from-response</LockToken><LockDurationInSeconds>600</LockDurationInSeconds></DocuSignEdit>

Related topics

operationId: Lock_PostEnvelopeLock

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/lockRequest

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/lock
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/lock

Updates the lock information for a locked envelope.

You must include the X-DocuSign-Edit header
as described in
EnvelopeLocks: create.

Use this method to change the duration
of the lock (lockDurationInSeconds)
or the lockedByApp string.

The request body is a full lockRequest object,
but you only need to specify the
properties that you are updating. For example:

{
  "lockDurationInSeconds": "3600",
  "lockedByApp": "My Application"
}
operationId: Lock_PutEnvelopeLock

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/lockRequest

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/lock

Envelopepublish 1 endpoints

POST /v2.1/accounts/{accountId}/connect/envelopes/publish/historical

This endpoint submits a batch of existing envelopes to a webhook of your choice. Set the webhook address with the urlToPublishTo request body parameter.

This endpoint does not call an existing Connect configuration or create a new Connect listener to monitor new activity. It simply uses an ad hoc configuration to submit existing envelopes. You must include all the configuration data in the request body.

The envelope data will always be transmitted in JSON format. XML, Salesforce, and eOriginal configuration types are not supported.

Your request should match the following format:

{
    "envelopes": ["4280f274-xxxx-xxxx-xxxx-b218b7eeda08", "8373a938-xxxx-xxxx-xxxx-e992a2abae01"],
    "config": {
        "configurationType":"custom",
        "name": "Test",
        "urlToPublishTo":"YOUR-WEBHOOK-URL",
        "allowEnvelopePublish": "true",
        "enableLog": "true",
        "requiresAcknowledgement": "true",
        "IncludeHMAC": "true",
        "SignMessageWithX509Cert": "true",
        "deliveryMode": "SIM",
        "eventData": {
            "version": "restv2.1",
            "format": "json",
            "includedata": ["tabs","payment_tabs","custom_fields","powerform","recipients","folders","extensions","attachments", "prefill_tabs", "documents"]
        }
    }
}

If the request succeeds, it returns a 201 (Created) HTTP response code and the response body property processingStatus will be set to processing. You can then view the status of each historical republish request in the Bulk Actions Log.

operationId: HistoricalEnvelopePublish_PostHistoricalEnvelopePublishTransaction

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

application/json
schema connectHistoricalEnvelopeRepublish
Property Type Required
config object optional
name string optional
events array optional
userIds array optional
allUsers string optional
groupIds array optional
password string optional
userName string optional
connectId string optional
enableLog string optional
eventData object optional
format string optional
version string optional
includeData array optional
sfObjects array optional
id string optional
active string optional
insert string optional
sfObject string optional
description string optional
selectFields array optional
id string optional
dsLink string optional
dsNode string optional
sfField string optional
sfFolder string optional
dsAttribute string optional
sfFieldName string optional
sfLockedValue string optional
sfObjectName string optional
updateFields array optional
id string optional
dsLink string optional
dsNode string optional
sfField string optional
sfFolder string optional
dsAttribute string optional
sfFieldName string optional
sfLockedValue string optional
onCompleteOnly string optional
disabledBy string optional
includeHMAC string optional
deliveryMode string optional
includeOAuth string optional
soapNamespace string optional
allUsersExcept string optional
envelopeEvents array optional
senderOverride string optional
urlToPublishTo string optional
…23 more object optional
envelopes array optional

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/connect/envelopes/publish/historical

Enveloperecipienttabs 4 endpoints

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/tabs

Deletes one or more tabs associated with a recipient in a draft envelope.

operationId: Recipients_DeleteRecipientTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

Request Body

#/components/requestBodies/EnvelopeRecipientTabs

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/tabs
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/tabs

Retrieves information about the tabs associated
with a recipient. You can make a single API call
to get all the tab values and information from a
given, completed envelope in addition to draft
ones. Tab values can be retrieved by using the
EnvelopeRecipients:list method
with query parameter include_tabs set to true.

operationId: Recipients_GetRecipientTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

include_anchor_tab_locations query optional string

When true, all tabs with anchor tab properties are included in the response. The default value is false.

include_metadata query optional string

When true, the response includes metadata indicating which properties are editable.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/tabs
POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/tabs

Adds one or more tabs for a recipient.

operationId: Recipients_PostRecipientTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

Request Body

#/components/requestBodies/EnvelopeRecipientTabs

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/tabs
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/tabs

Updates one or more tabs for a recipient in a draft envelope.
A draft envelope is one that is not yet complete.

Note: It is an error to update a tab that has the
templateLocked property set to true.
This property corresponds to the Restrict changes option in the web app.

operationId: Recipients_PutRecipientTabs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

Request Body

#/components/requestBodies/EnvelopeRecipientTabs

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/tabs

Enveloperecipients 8 endpoints

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients

Deletes one or more recipients from a draft or sent envelope. List the recipients that you want to delete in the body of the request. This method uses the recipientId as the key for deleting recipients.

If the envelope is In Process, meaning that it has been sent and has not been completed or voided, recipients that have completed their actions cannot be deleted.

operationId: Recipients_DeleteRecipients

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/EnvelopeRecipients

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients

Retrieves the status of all recipients in a single envelope and identifies the current recipient in the routing list. This method can also be used to retrieve the tab values.

The currentRoutingOrder property of the response contains the routingOrder value of the current recipient indicating that the envelope has been sent to the recipient, but the recipient has not completed their actions.

Related topics

operationId: Recipients_GetRecipients

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

include_anchor_tab_locations query optional string

When true and include_tabs value is set to true, all tabs with anchor tab properties are included in the response.

include_extended query optional string

When true, the extended properties are included in the response.

include_metadata query optional string

Boolean value that specifies whether to include metadata associated with the recipients (for envelopes only, not templates).

include_tabs query optional string

When true, the tab information associated with the recipient is included in the response.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients
POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients

Adds one or more recipients to an envelope.

For an in-process envelope,
one that has been sent and has not been completed or voided,
an email is sent to a new recipient
when they are reached in the routing order.
If the new recipient’s routing order
is before or the same as the envelope’s
next recipient,
an email is only sent if the optional
resend_envelope query string is set to true.

Note: This method works on recipients only.
To add recipient tabs,
use methods from the EnvelopeRecipientTabs resource.
For example, this request body will add a recipient (astanton@example.com)
but NOT the Sign Here recipient tab.

{
  "signers": [
    {
      "email": "astanton@example.com",
      "name": "Anne Stanton",
      "recipientId": "1",
      "tabs": {           // These tabs will NOT be added
        "signHereTabs": [ // with this method. See note above.
          {
            "anchorString": "below",
            "tooltip": "please sign here"
          },
          . . .
        ]
      }
    }
  ]
}

Related topics

operationId: Recipients_PostRecipients

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

resend_envelope query optional string

When true,
forces the envelope to be resent
if it would not be resent otherwise.

Ordinarily, if the recipient’s routing order
is before or the same as the envelope’s next recipient,
the envelope is not resent.

Setting this query parameter
to false has no effect and is the same as omitting
it altogether.

Request Body

#/components/requestBodies/EnvelopeRecipients

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients

Updates the recipients of a draft envelope or corrects recipient information for an in-process envelope.

If you send information for a recipient that does not already
exist in a draft envelope, the recipient is added to the envelope
(similar to the EnvelopeRecipients: Create method).

You can also use this method to resend an envelope to a recipient
by using the resend_envelope option.

Updating Sent Envelopes

After an envelope has been sent, you can edit only the following properties:

  • accessCode
  • agentCanEditName
  • agentCanEditEmail
  • customFields
  • deliveryMethod
  • documentVisibility
  • email (If you provide an email address in this method, it will be treated as a new email address, even if it is exactly the same as the current address. Do not provide an email address if you do not want a correction email sent.)
  • emailNotification
  • idCheckConfigurationName
  • identityVerification
  • name
  • note
  • phoneAuthentication
  • recipientType (For this to work, you must also change the recipient object to match the recipient type.)
  • requireIdLookup
  • routingOrder
  • routingOrder
  • signingGroupId (You can change this ID to switch to a different signing group and its corresponding set of recipients.)
  • smsAuthentication
  • suppressEmails
  • userName

If the recipient has signed,
but the envelope is still active,
the method will return success,
but the recipientUpdateResults property
in the response will include an error
that the recipient could not be updated:

{
  "recipientUpdateResults": [
    {
      "recipientId": "999",
      "errorDetails": {
        "errorCode": "RECIPIENT_UPDATE_FAILED",
        "message": "The recipient could not be updated.  Recipient not in state that allows correction."
      }
    }
  ]
}

If the envelope is completed,
and you try to change a recipient’s address,
the method will fail with this error:

{
  "errorCode": "ENVELOPE_INVALID_STATUS",
  "message": "Invalid envelope status. Envelope status is not one of: Created, Sent, Delivered, Correct."
}

Note: This method works on recipients only.
To add recipient tabs,
use methods from the EnvelopeRecipientTabs resource.
For example, this request body will add a recipient (astanton@example.com)
but NOT the Sign Here recipient tab.

{
  "signers": [
    {
      "email": "astanton@example.com",
      "name": "Anne Stanton",
      "recipientId": "1",
// THIS WILL NOT WORK
      "tabs": {
        "signHereTabs": [
          {
            "anchorString": "below",
            "tooltip": "please sign here3"
          },
          . . .
        ]
      }
    }
  ]
}
operationId: Recipients_PutRecipients

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

combine_same_order_recipients query optional string

When true, recipients are combined or merged with matching recipients. Recipient matching occurs as part of template matching, and is based on Recipient Role and Routing Order.

offline_signing query optional string

Indicates if offline signing is enabled for the recipient when a network connection is unavailable.

resend_envelope query optional string

When true,
forces the envelope to be resent
if it would not be resent otherwise.

Ordinarily, if the recipient’s routing order
is before or the same as the envelope’s next recipient,
the envelope is not resent.

Setting this query parameter
to false has no effect and is the same as omitting
it altogether.

Request Body

#/components/requestBodies/EnvelopeRecipients

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients
DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}

Deletes a recipient from a draft or sent envelope.

If the envelope is “In Process” (has been sent and is not completed or voided), recipients that have completed their actions cannot be deleted.

operationId: Recipients_DeleteRecipient

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}
POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/identity_proof_token

Creates a resource token for a sender. This token allows a sender to return identification data for a recipient using the ID Evidence API.

operationId: Recipients_PostRecipientProofFileResourceToken

Parameters

Name In Required Type Description
accountId path required string

The account ID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

The recipientIdGuid.

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/identity_proof_token
POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/views/identity_manual_review

This method returns the URL of the page that allows a sender to manually review the ID of a recipient.

operationId: Views_PostRecipientManualReviewView

Parameters

Name In Required Type Description
accountId path required string

A value that identifies your account. This value is automatically generated by DocuSign for any account you create. Copy the value from the API Account ID field in the AppsI and Keys page.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

A GUID value that DocuSign assigns to identify each recipient in an envelope. This value is globally unique for all recipients, not just those in your account.

The specified recipient must belong to a workflow that allows the manual review of IDs. In addition, the status of the automatic verification for this recipient must return Failed and the value of the vendorFailureStatusCode field must be MANUAL_REVIEW_STARTED as shown in the following extract of a response to the GET ENVELOPE method:

``` "recipientAuthenticationStatus": { "identityVerificationResult": { "status": "Failed", "eventTimestamp": "2020-09-04T16:59:42.8045667Z", "vendorFailureStatusCode": "MANUAL_REVIEW_STARTED" } } ```

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/views/identity_manual_review
POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/views/recipient_preview

Returns a URL to preview the recipients’ view of a draft envelope or template. You can embed this view in your application to enable the sender to preview the recipients’ experience.

For more information, see Preview and Send.

operationId: Views_PostEnvelopeRecipientPreview

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/recipientPreviewRequest

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/views/recipient_preview

Envelopetemplates 5 endpoints

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/templates

Retrieves the templates associated with a document in the specified envelope.

operationId: Templates_GetDocumentTemplates

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

include query optional string

A comma-separated list that limits the results.
Valid values are:

  • applied
  • matched

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/templates
POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/templates

Adds templates to a document in the specified envelope.

operationId: Templates_PostDocumentTemplates

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

preserve_template_recipient query optional string

If omitted or set to false (the default),
envelope recipients will be removed
if the template being applied
includes only tabs positioned via anchor text for the recipient,
and none of the documents include the anchor text.

When true, the recipients will be preserved after the template is applied.

Request Body

#/components/requestBodies/documentTemplateList

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/templates
DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/templates/{templateId}

Deletes the specified template from a document in an existing envelope.

operationId: Templates_DeleteDocumentTemplates

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

templateId path required string

The ID of the template.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/templates/{templateId}
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/templates

This returns a list of the server-side templates, their name and ID, used in an envelope.

operationId: Templates_GetEnvelopeTemplates

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

include query optional string

The possible value is matching_applied, which returns template matching information for the template.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/templates
POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/templates

Adds templates to the specified envelope.

operationId: Templates_PostEnvelopeTemplates

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

preserve_template_recipient query optional string

If omitted or set to false (the default),
envelope recipients will be removed
if the template being applied
includes only tabs positioned via anchor text for the recipient,
and none of the documents include the anchor text.

When true, the recipients will be preserved after the template is applied.

Request Body

#/components/requestBodies/documentTemplateList

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/templates

Envelopetransferrules 2 endpoints

GET /v2.1/accounts/{accountId}/envelopes/transfer_rules

This method retrieves a list of envelope transfer rules associated with an account.

Note: Only Administrators can create and use envelope transfer rules. In addition, to use envelope transfer rules, the Transfer Custody feature must be enabled for your account.

operationId: EnvelopeTransferRules_GetEnvelopeTransferRules

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

count query optional string

The maximum number of results to return.

Use start_position to specify the number of results to skip.

start_position query optional string

The zero-based index of the
result from which to start returning results.

Use with count to limit the number
of results.

The default value is 0.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/transfer_rules
POST /v2.1/accounts/{accountId}/envelopes/transfer_rules

This method creates an envelope transfer rule.

When you create an envelope transfer rule, you specify the following properties:

  • eventType
  • fromGroups
  • toUser
  • toFolder
  • carbonCopyOriginalOwner
  • enabled

Note: Only Administrators can create envelope transfer rules. In addition, to use envelope transfer rules, the Transfer Custody feature must be enabled for your account.

operationId: EnvelopeTransferRules_PostEnvelopeTransferRules

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

application/json
schema envelopeTransferRuleRequest
Property Type Required
toUser object optional
uri string optional
email string optional
title string optional
userId string optional
company string optional
isAdmin string optional
jobTitle string optional
lastName string optional
password string optional
userName string optional
userType string optional
firstName string optional
groupList array optional
users array optional
uri string optional
email string optional
userId string optional
userName string optional
userType string optional
accountId string optional
ipAddress string optional
userStatus string optional
accountName string optional
loginStatus string optional
errorDetails object optional
membershipId string optional
sendActivationEmail string optional
activationAccessCode string optional
groupId string optional
dsGroupId string optional
groupName string optional
groupType string optional
usersCount string optional
errorDetails object optional
message string optional
errorCode string optional
permissionProfileId string optional
lastLogin string optional
subscribe string optional
middleName string optional
suffixName string optional
userStatus string optional
countryCode string optional
homeAddress object optional
fax string optional
city string optional
phone string optional
country string optional
address1 string optional
address2 string optional
zipPlus4 string optional
postalCode string optional
stateOrProvince string optional
…24 more object optional
enabled string optional
toFolder object optional
uri string optional
name string optional
type string optional
owner object optional
uri string optional
email string optional
userId string optional
userName string optional
userType string optional
accountId string optional
ipAddress string optional
userStatus string optional
accountName string optional
loginStatus string optional
errorDetails object optional
message string optional
errorCode string optional
membershipId string optional
sendActivationEmail string optional
activationAccessCode string optional
filter object optional
order string optional
status string optional
expires string optional
orderBy string optional
folderIds string optional
isTemplate string optional
searchText string optional
toDateTime string optional
fromDateTime string optional
searchTarget string optional
actionRequired string optional
folders array optional
folderId string optional
hasAccess string optional
itemCount string optional
folderItems array optional
status string optional
subject string optional
folderId string optional
folderUri string optional
ownerName string optional
envelopeId string optional
recipients object optional
seals array optional
agents array optional
editors array optional
signers array optional
notaries array optional
witnesses array optional
carbonCopies array optional
errorDetails object optional
participants array optional
intermediaries array optional
recipientCount string optional
inPersonSigners array optional
certifiedDeliveries array optional
currentRoutingOrder string optional
senderName string optional
templateId string optional
envelopeUri string optional
senderEmail string optional
templateUri string optional
senderUserId string optional
sentDateTime string optional
is21CFRPart11 string optional
recipientsUri string optional
senderCompany string optional
expireDateTime string optional
createdDateTime string optional
completedDateTime string optional
…1 more object optional
errorDetails object optional
message string optional
errorCode string optional
hasSubFolders string optional
parentFolderId string optional
subFolderCount string optional
parentFolderUri string optional
eventType string optional
fromUsers array optional
uri string optional
email string optional
title string optional
userId string optional
company string optional
isAdmin string optional
jobTitle string optional
lastName string optional
password string optional
userName string optional
userType string optional
firstName string optional
groupList array optional
users array optional
uri string optional
email string optional
userId string optional
userName string optional
userType string optional
accountId string optional
ipAddress string optional
userStatus string optional
accountName string optional
loginStatus string optional
errorDetails object optional
membershipId string optional
sendActivationEmail string optional
activationAccessCode string optional
groupId string optional
dsGroupId string optional
groupName string optional
groupType string optional
usersCount string optional
errorDetails object optional
message string optional
errorCode string optional
permissionProfileId string optional
lastLogin string optional
subscribe string optional
middleName string optional
suffixName string optional
userStatus string optional
countryCode string optional
homeAddress object optional
fax string optional
city string optional
phone string optional
country string optional
address1 string optional
address2 string optional
zipPlus4 string optional
postalCode string optional
stateOrProvince string optional
…24 more object optional
fromGroups array optional
users array optional
uri string optional
email string optional
userId string optional
userName string optional
userType string optional
accountId string optional
ipAddress string optional
userStatus string optional
accountName string optional
loginStatus string optional
errorDetails object optional
message string optional
errorCode string optional
membershipId string optional
sendActivationEmail string optional
activationAccessCode string optional
groupId string optional
dsGroupId string optional
groupName string optional
groupType string optional
usersCount string optional
errorDetails object optional
message string optional
errorCode string optional
permissionProfileId string optional
modifiedDate string optional
modifiedUser object optional
uri string optional
email string optional
title string optional
userId string optional
company string optional
isAdmin string optional
jobTitle string optional
lastName string optional
password string optional
userName string optional
userType string optional
firstName string optional
groupList array optional
users array optional
uri string optional
email string optional
userId string optional
userName string optional
userType string optional
accountId string optional
ipAddress string optional
userStatus string optional
accountName string optional
loginStatus string optional
errorDetails object optional
membershipId string optional
sendActivationEmail string optional
activationAccessCode string optional
groupId string optional
dsGroupId string optional
groupName string optional
groupType string optional
usersCount string optional
errorDetails object optional
message string optional
errorCode string optional
permissionProfileId string optional
lastLogin string optional
subscribe string optional
middleName string optional
suffixName string optional
userStatus string optional
countryCode string optional
homeAddress object optional
fax string optional
city string optional
phone string optional
country string optional
address1 string optional
address2 string optional
zipPlus4 string optional
postalCode string optional
stateOrProvince string optional
…24 more object optional
envelopeTransferRuleId string optional
carbonCopyOriginalOwner string optional

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/transfer_rules
Load more endpoints